Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.baselegaldata.v1
Class NationalitiesBaseType

    java.lang.Object
      be.fgov.ehealth.rn.baselegaldata.v1.NationalitiesBaseType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2023-04-04T04:00:36+02:00",
               comments="JAXB RI v2.3.6")
    public class NationalitiesBaseType

extends Object
implements Serializable

Java class for NationalitiesBaseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NationalitiesBaseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Nationality" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}NationalityInfoBaseType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`NationalitiesBaseType()`

Method Summary
`List<NationalityInfoBaseType>` | `getNationalities()` Gets the value of the nationalities property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NationalitiesBaseType

    public NationalitiesBaseType()

Method Detail

### getNationalities

    public List<NationalityInfoBaseType> getNationalities()

  Gets the value of the nationalities property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the nationalities property.

  For example, to add a new item, do as follows:

          getNationalities().add(newItem);

  Objects of the following type(s) are allowed in the list `NationalityInfoBaseType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.24.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.